/**
 * Informatique Industrielle et Java
 * Projet polymorphisme du chapitre3
 * La classe Compteur4Bits impl?mente l'interface ACompteur
 * Cette unification permet l'utilisation du CompteurRapide
 * sur des objets de type dynamique Compteur4Bits
 * 
 * @author F. Mallet 
 * @version 1
 */
public class Compteur4Bits implements ACompteur {
	private byte etat = 0;
	
	public int getEtat() { 
		return etat; 
	}
	public void incrementer() {
		if (etat == 0xF) {
			etat = 0;
		} else {
			etat += 1;		
		}
	}
}